Subject: bug#33847: 27.0.50; emacsclient does not find server socket

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Jul 2021 19:45:31 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Paul Eggert <[email-masked]>,  [email-masked],
>   [email-masked],  [email-masked]
> Date: Thu, 22 Jul 2021 15:08:39 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I said "almost" because I wasn't 110% sure.  Maybe I was mistaken, and
> > there will be no changes; all I ask is a heads-up to allow me to study
> > the patch more thoroughly and test it, that's all.
> 
> This was the last post in this thread.
> 
> Paul's patch is pretty, er, long, but I've tested it a bit, and it
> doesn't seem to break anything for me.  But then again, there's a lot of
> different setups in this area...
> 
> I've respun the patch for the current trunk.  Can you give it a test and
> see whether it works for you too?

Looks like you didn't attach the right patch?

Anyway, the main problem with the original patch is that it uses
Gnulib ACL module unconditionally.  Gnulib's ACL module doesn't
support MS-Windows ACLs, so Emacs has its own emulation of the
relevant routines in w32.c.  To make this emacsclient patch work on
MS-Windows one must either #ifdef away the emacsclient ACL code for
the WINDOWSNT build, or provide ACL emulation code in ntlib.c.  Both
are non-trivial jobs that I didn't yet have time to do, sorry.  I can
look into that during the following days if you show the right patch.

However, it sounds like Ulrich wasn't happy with this solution back
then, so perhaps we should first see that the problem still exists and
that everyone involved are okay with installing this, modulo minor
fixes?